# $Revision: 1.22 $, $Date: 2009/10/13 12:41:57 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Set
%define		pnam	Array
Summary:	Set::Array - arrays as objects with lots of handy methods
Summary(pl.UTF-8):	Set::Array - tablice jako obiekty z wieloma poręcznymi metodami
Name:		perl-Set-Array
Version:	0.19
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Set/%{pdir}-%{pnam}-%{version}.tgz
# Source0-md5:	adf08971a9ca0eacc66a85274b7605c0
URL:		http://search.cpan.org/dist/Set-Array/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Want >= 0.05
BuildRequires:	perl-Test-Deep
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Set::Array allows you to create arrays as objects and use OO-style
methods on them. Many convenient methods are provided here that appear
in the FAQ's, the Perl Cookbook or posts from comp.lang.perl.misc. In
addition, there are Set methods with corresponding (overloaded)
operators for the purpose of Set comparison, i.e. +, ==, etc.

%description -l pl.UTF-8
Set::Array pozwala na tworzenie tablic jako obiektów i używanie na
nich metod. Dostępnych jest wiele wygodnych metod, które podane są w
FAQ-ach, Perl Cookbook oraz postach z grupy comp.lang.perl.misc.
Dodatkowo są metody Set z odpowiadającymi (przeciążonymi) operatorami
do porównywania, np. +, == itd.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Set-Array.spec,v $
Revision 1.22  2009/10/13 12:41:57  amateja
- updated to 0.19

Revision 1.21  2008/12/15 20:24:54  qboosh
- generic URL, License

Revision 1.20  2008/12/14 11:16:43  agaran
- up to 0.18

Revision 1.19  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.17  2006/10/23 22:03:18  ankry
- ver. 0.14

Revision 1.16  2004/11/03 22:30:43  paladine
- formatting

Revision 1.15  2004/05/06 18:21:01  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/05 13:47:09  ankry
- cosmetics

Revision 1.13  2004/05/02 08:31:33  ankry
- license fixed, cosmetics

Revision 1.12  2004/04/15 20:30:23  ankry
- cosmetics, unification

Revision 1.11  2004/02/16 22:06:27  adamg
- updated to 0.11
- new style bconds

Revision 1.10  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:11  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:00  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 20:46:10  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:06  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/31 12:21:47  qboosh
- pl description, release 2

Revision 1.1  2002/08/29 12:32:59  radek
- new, STBR
